For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HUMAN DashboardHUMAN WebsiteRequest a Demo
Product GuidesEnforcer GuidesMobile SDKAPI ReferenceCustomer support
Product GuidesEnforcer GuidesMobile SDKAPI ReferenceCustomer support
  • User guides
    • About the Applications API
    • Getting started
    • Authentication
    • Quick reference
  • Account Defender API
  • Bot Defender API
  • Credential Intelligence API
      • POSTUpload credentials
  • Code Defender API
    • Code Examples
  • Enforce API
  • PCI DSS API
LogoLogo
Login
Login
HUMAN DashboardHUMAN WebsiteRequest a Demo
Credential Intelligence APICompromised

Upload credentials

POST
https://sapi-123456789.perimeterx.net/api/v1/is_compromised
POST
/api/v1/is_compromised
$curl -X POST https://sapi-123456789.perimeterx.net/api/v1/is_compromised \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "appId": "string",
> "credentials": "string"
>}'
1{
2 "compromised": true
3}
Receive an analysis on whether the provided credentials were flagged as compromised by CI collection.
Was this page helpful?
Previous

Get incidents

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
appIdstringRequired
The Application ID
credentialsstringRequired

A hashed, salted, and normalized version of the credential pair. Email us at contact-support@humansecurity.com to get the normalization and hashing code.

Response

Success
compromisedboolean

Whether Credential Intelligence detected the credentials as compromised. true means CI did detect them as compromised.

Errors

401
Unauthorized Error
429
Too Many Requests Error
500
Internal Server Error